%define name grsync
%define version 0.5
%define release %mkrel 1

%define summary Grsync is a GUI (Graphical User Interface) for rsync

Summary: %{summary}
Name: 	 %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/File transfer
URL: http://www.opbyte.it/grsync/
Source0: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  pkgconfig
BuildRequires:  gtk+2-devel
BuildRequires:  dos2unix
%description
Grsync is a GUI (Graphical User Interface) for rsync, the commandline 
directory synchronization tool. It makes use of the GTK2 libraries and 
it is released under the GPL2. It is in beta stage and it supports only 
a limited set of rsync features, but can be effectively used to 
synchronize local directories. Only sources are available as of now, 
they can be compiled on various flavours of unices having gtk and autotools,
but it should be possible to compile it under win too. Some ready-made 
packages for linux distributions have been made by third parties.

%prep
%setup -q


%build
%configure2_5x
%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -m644 pixmaps/%{name}.png -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 pixmaps/%{name}.png -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 pixmaps/%{name}.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} << EOF
?package(%name): \
command="%{_bindir}/%{name}" \
needs="X11" \
icon="%{name}.png" \
section="Internet/File Transfer" \
title="Grsync" \
longtitle="%{summary}" \
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="FileTransfer" \
  --add-category="X-MandrivaLinux-Internet-FileTransfer" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%find_lang %{name}

dos2unix NEWS AUTHORS README

%clean
rm -rf $RPM_BUILD_ROOT


%post 
%{update_menus} 


%postun 
%{clean_menus}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/grsync.png
%{_mandir}/*/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Aug 17 2006 trem <trem@mandriva.org> 0.5-1mdv2007.0
- New release 0.5

* Sun Aug 06 2006 trem <trem@mandriva.org> 0.4.3-2mdv2007.0
- Migration to XDG menu (was not added in 0.4.3-1mdk)

* Sun Aug 06 2006 trem <trem@mandriva.org> 0.4.3-1mdk
- New release 0.4.3
- Migration to XDG menu

* Sat May 20 2006 trem <trem@mandriva.org> 0.4.2-1mdk
- New release 0.4.2

* Tue May 09 2006 trem <trem@mandriva.org> 0.4.1-3mdk
- Remove %{_desktopdir} macro (not a standard macro)

* Thu May 04 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.4.1-2mdk
- Add BuildRequires

* Wed May 02 2006 trem <trem@mandriva.org> 0.4.1-1mdk
- New release 0.4.1

* Sun Apr 30 2006 trem <trem@mandriva.org> 0.4-1mdk
- New release 0.4

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.2-3mdk
- Fix BuildRequires

* Thu Apr 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.2-2mdk
- Fix BuildRequires

* Tue Apr 11 2006 trem <trem@mandriva.org> 0.3.2-1mdk
- New release 0.3.2

* Tue Feb 27 2006 trem <trem@mandriva.org> 0.3-1mdk
- New release 0.3

* Tue Feb 14 2006 Jerome Soyer <saispo@mandriva.org> 0.2.2-1mdk
- New release 0.2.2

* Thu Jan 12 2006  <trem@mandriva.org> 0.2-1mdk
- Initial build.
